Bug 965121 - brew download fails with OSError, "root directory missing? %s" % directory
brew download fails with OSError, "root directory missing? %s" % directory
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: koji (Show other bugs)
18
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Dennis Gilmore
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-20 09:18 EDT by Salim Badakhchani
Modified: 2014-02-05 16:27 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 16:27:35 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Salim Badakhchani 2013-05-20 09:18:13 EDT
Description of problem:

When attempting to download build artefacts the download fails.

Version-Release number of selected component (if applicable):

koji-1.8.0-1.fc18.noarch

How reproducible:

Always


Steps to Reproduce:
1.brew --debug download-build --topurl=http://download.devel.redhat.com/brewroot/ --type=maven org.apache.aries.jmx-jmx-1.0.1.redhat_60024-1


Actual results:

Traceback (most recent call last):
  File "/usr/bin/brew", line 115, in <module>
    rv = vars(clikoji)[command].__call__(options, session, args)
  File "/usr/bin/koji", line 5570, in anon_handle_download_build
    koji.ensuredir(os.path.dirname(relpath))
  File "/usr/lib/python2.7/site-packages/koji/__init__.py", line 447, in ensuredir
    ensuredir(head)
  File "/usr/lib/python2.7/site-packages/koji/__init__.py", line 447, in ensuredir
    ensuredir(head)
  File "/usr/lib/python2.7/site-packages/koji/__init__.py", line 447, in ensuredir
    ensuredir(head)
  File "/usr/lib/python2.7/site-packages/koji/__init__.py", line 447, in ensuredir
    ensuredir(head)
  File "/usr/lib/python2.7/site-packages/koji/__init__.py", line 447, in ensuredir
    ensuredir(head)
  File "/usr/lib/python2.7/site-packages/koji/__init__.py", line 446, in ensuredir
    raise OSError, "root directory missing? %s" % directory
OSError: root directory missing? 


Expected results:

Artefact should be downloaded


Additional info:

Looks like it can be related to recent fix to resolve a race condition issue.
See https://git.fedorahosted.org/cgit/koji/commit/?id=16e1b8be050cf472a5f634d34a4844d00eed5265
Comment 1 Fedora End Of Life 2013-12-21 08:38:15 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2014-02-05 16:27:35 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.